#ifndef DATA_CABLE_HPP_
#define DATA_CABLE_HPP_

#include <array>

#include <Block/SpriteBlock/PipelineBlock/PipelineBlock.hpp>

class DataCable : public PipelineBlock
{
public:
    DataCable(std::string name, std::string displayName);

    virtual bool shouldConnectOnSide(LocalWorld &world, glm::ivec3 pos, Side side) override;
    virtual Wiring& getWiringFor(Chunk &chunk) override;
};

#endif